Option Explicit

Dim oFSO, sFile, oFile, sText, sLog, oLog, CurrentDirectory,MyFile
Dim strFilePath, strDestination, strCopyTo, strFolder, sFilter, sTitle,sIniDir 
Const ForReading = 1, ForWriting = 2, ForAppending = 8

strDestination = SelectFolder( "" ) & "\"

'Set the read of the input file and prompt for location
Set oFSO = CreateObject("Scripting.FileSystemObject")
'set fso = CreateObject("Scripting.FileSystemObject")
CurrentDirectory = oFSO.GetAbsolutePathName(".")
sIniDir = CurrentDirectory &"\Myfile.csv" 
sFilter = "txt files (*.txt)|*.txt|csv files (*.csv)|*.csv|log files (*.log)|*.log|" 
sTitle = "Select a file containing list to process" 
MyFile = GetFileDlgEx(Replace(sIniDir,"\","\\"),sFilter,sTitle) 
sFile=MyFile
'wscript.echo MyFile

'sFile = InputBox("Enter path to text document with list of files to be copied")
WScript.Echo "Processing may take a while, wait tor the completion message"

'Open for read, get the file name of the file to be moved and Move them  new location

	If Not oFSO.FileExists(sLog) Then
		Set oLog = oFSO.CreateTextFile(strDestination & "Error.log",True)
	Else
		Set oLog = oFSO.OpenTextFile(sLog, ForWriting)
	End If
If oFSO.FileExists(sFile) Then
   Set oFile = oFSO.OpenTextFile(sFile, ForReading)
   
	
	  Do While Not oFile.AtEndOfStream
      sText = oFile.ReadLine
      If (Trim(sText) <> "") And _
         oFSO.FileExists(sText) Then
         
  	 
         strCopyTo=strDestination & Right(sText,(Len(sText)-3))
	  strCopyTo=Left(strCopyTo,InStrRev(strCopyTo,"\"))
		strFolder=Left(strCopyTo, Len(strCopyTo)-1)
'WScript.Echo strCopyTo
'WScript.Echo strFolder
'WScript.Echo sText 

If Not oFSO.FolderExists(strFolder) Then
 CreateFolderRecursive strFolder 

End If

         oFSO.MoveFile sText, strCopyTo
      Else
         'WScript.Echo "Couldn't find " & sText
		oLog.Write "Couldn't find " & sText & vbCrLf
      End If
   Loop
   oFile.Close
Else
   WScript.Echo "The list file was not there."
End If
oFile.Close
oLog.Close
WScript.Echo "All done!"
'''################################################################################
Function CreateFolderRecursive(FullPath)
  Dim arr, dir, path
  Dim oFs

  Set oFs = WScript.CreateObject("Scripting.FileSystemObject")
  arr = split(FullPath, "\")
  path = ""
  For Each dir In arr
    If path <> "" Then path = path & "\"
    path = path & dir
    If oFs.FolderExists(path) = False Then oFs.CreateFolder(path)
  Next
End Function

'''################################################################################
Function GetFileDlgEx(sIniDir,sFilter,sTitle)
dim oDlg 
Set oDlg = CreateObject("WScript.Shell").Exec("mshta.exe ""about:<object id=d classid=clsid:3050f4e1-98b5-11cf-bb82-00aa00bdce0b></object><script>moveTo(0,-9999);eval(new ActiveXObject('Scripting.FileSystemObject').GetStandardStream(0).Read("&Len(sIniDir)+Len(sFilter)+Len(sTitle)+41&"));function window.onload(){var p=/[^\0]*/;new ActiveXObject('Scripting.FileSystemObject').GetStandardStream(1).Write(p.exec(d.object.openfiledlg(iniDir,null,filter,title)));close();}</script><hta:application showintaskbar=no />""") 
oDlg.StdIn.Write "var iniDir='" & sIniDir & "';var filter='" & sFilter & "';var title='" & sTitle & "';" 
GetFileDlgEx = oDlg.StdOut.ReadAll 
End Function
'''################################################################################




'''################################################################# begin select folder

Function SelectFolder( myStartFolder )
' This function opens a "Select Folder" dialog and will
' return the fully qualified path of the selected folder
'
' Argument:
'     myStartFolder    [string]    the root folder where you can start browsing;
'                                  if an empty string is used, browsing starts
'                                  on the local computer
'
' Returns:
' A string containing the fully qualified path of the selected folder

    ' Standard housekeeping
    Dim objFolder, objItem, objShell
    
    ' Custom error handling
    On Error Resume Next
    SelectFolder = vbNull

    ' Create a dialog object
    Set objShell  = CreateObject( "Shell.Application" )
    Set objFolder = objShell.BrowseForFolder( 0, "Select Destination Folder", 0, myStartFolder )

    ' Return the path of the selected folder
    If IsObject( objfolder ) Then SelectFolder = objFolder.Self.Path

    ' Standard housekeeping
    Set objFolder = Nothing
    Set objshell  = Nothing
    On Error Goto 0
End Function
'''################################################################# end select folder
